Bug 1103540 - [RFE] follow xdg base dir
Summary: [RFE] follow xdg base dir
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bugzilla
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-01 21:40 UTC by Rahul Sundaram
Modified: 2015-09-02 19:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-02 19:21:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-06-01 21:40:08 UTC
Description of problem:

python-bugzilla has a number of config files and caches and it should follow the xdg base dir spec.  Let me know if you will take patches.


References:

http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
http://freedesktop.org/wiki/Software/pyxdg/

Comment 1 Cole Robinson 2014-06-02 14:37:43 UTC
Thanks, I'll take patches. Though pyxdg isn't in epel so we shouldn't make it a hard requirement in the code, just fall back to hardcoded paths otherwise.

Comment 2 Cole Robinson 2015-09-02 19:21:30 UTC
I've moved this to our (new) upstream tracker on github:

https://github.com/python-bugzilla/python-bugzilla/issues/4


Note You need to log in before you can comment on or make changes to this bug.